""" Various settings to connect to a DSHIP API"""

# URLs for the rest api: where to get the data from
# URLs exist for various sources
urls = {'SO':'http://dship2.bsh.de:8080/dship-extraction/rest-presentation/datalog/createOrder',
		'MSM':'http://dship3.bsh.de:8080/dship-extraction/rest-presentation/datalog/createOrder',
        'MET':'http://dship4.bsh.de:8080/dship-extraction/rest-presentation/datalog/createOrder',
		'MSMlive':'http://dship1:8080/dship-extraction/rest-presentation/datalog/createOrder'}

# HTTP request header to be sent
headers = {"Accept":"*/*","Accept-Encoding":"gzip, deflate","Accept-Language":"de,en-US;q=0.7,en;q=0.3","Connection":"keep-alive","Content-Type":"application/x-www-form-urlencoded; charset=UTF-8","X-Requested-With":"XMLHttpRequest"}

request = 'user=__USERNAME__&name=__EXPORTNAME__&order=__ORDER__&saveOrderTemplate=false'

# Order string to fetch 3D (with depth / underwater) data
order_3d = "%3C%3Fxml+version%3D%221.0%22+encoding%3D%22UTF-8%22%3F%3E%0A%3Cexport+type%3D%22datalog%22%3E%0A+++%3Corder%3E%0A++++++%3Cmail%3E__USERMAIL__%3C%2Fmail%3E%0A++++++%3Coutput+type%3D%22TXT%22+user%3D%22__USERNAME__%22+exportevents%3D%22false%22+limitfilesize%3D%22false%22%3E__EXPORTNAME__%3C%2Foutput%3E%0A+++%3C%2Forder%3E%0A+++%3Cdescription%3E%0A++++++%3Ctime+filtered%3D%22true%22%3E%0A+++++++++%3Cstarttime%3E__STARTTIME__%3C%2Fstarttime%3E%0A+++++++++%3Cendtime%3E__ENDTIME__%3C%2Fendtime%3E%0A+++++++++%3Cinterval+displayunit%3D%22s%22%3E__TIMESTEPS__%3C%2Finterval%3E%0A++++++%3C%2Ftime%3E%0A++++++%3Cfileformat+separator%3D%22%5Ct%22+endofrecordmarker%3D%22%5Cn%22+datetimeformat%3D%22YYYY%2FMM%2FDD+HH%3Amm%3Ass%22+decimalsymbol%3D%22.%22+headerrow%3D%22true%22+fillvalue%3D%22false%22%2F%3E%0A++++++%3Cchannellist+errorvaluenumeric%3D%22+%22+errorvaluealphanumeric%3D%22+%22+includeinvalidvalues%3D%22false%22+skipinvalidlines%3D%22false%22+fittoformat%3D%22false%22%3E%0A+++++++++%3Cchannel+fieldwidth%3D%227%22+samples%3D%22false%22+spot%3D%22true%22+valuevalidity%3D%22false%22+precision%3D%221%22+min%3D%22false%22+max%3D%22false%22+mean%3D%22false%22+variance%3D%22false%22+stddev%3D%22false%22+meanvalidity%3D%22false%22+angle%3D%22none%22%3E__DEPFIELD__%3C%2Fchannel%3E%0A+++++++++%3Cchannel+fieldwidth%3D%2210%22+samples%3D%22false%22+spot%3D%22true%22+valuevalidity%3D%22false%22+precision%3D%226%22+min%3D%22false%22+max%3D%22false%22+mean%3D%22false%22+variance%3D%22false%22+stddev%3D%22false%22+meanvalidity%3D%22false%22+angle%3D%22none%22%3E__LATFIELD__%3C%2Fchannel%3E%0A+++++++++%3Cchannel+fieldwidth%3D%2210%22+samples%3D%22false%22+spot%3D%22true%22+valuevalidity%3D%22false%22+precision%3D%226%22+min%3D%22false%22+max%3D%22false%22+mean%3D%22false%22+variance%3D%22false%22+stddev%3D%22false%22+meanvalidity%3D%22false%22+angle%3D%22none%22%3E__LONFIELD__%3C%2Fchannel%3E%0A++++++%3C%2Fchannellist%3E%0A+++%3C%2Fdescription%3E%0A%3C%2Fexport%3E%0A"

# Order string to fetch 2D (ship's GPS) navigtion data
order_2d = "%3C%3Fxml+version%3D%221.0%22+encoding%3D%22UTF-8%22%3F%3E%0A%3Cexport+type%3D%22datalog%22%3E%0A+++%3Corder%3E%0A++++++%3Cmail%3E__USERMAIL__%3C%2Fmail%3E%0A++++++%3Coutput+type%3D%22TXT%22+user%3D%22__USERNAME__%22+exportevents%3D%22false%22+limitfilesize%3D%22false%22%3E__EXPORTNAME__%3C%2Foutput%3E%0A+++%3C%2Forder%3E%0A+++%3Cdescription%3E%0A++++++%3Ctime+filtered%3D%22true%22%3E%0A+++++++++%3Cstarttime%3E__STARTTIME__%3C%2Fstarttime%3E%0A+++++++++%3Cendtime%3E__ENDTIME__%3C%2Fendtime%3E%0A+++++++++%3Cinterval+displayunit%3D%22s%22%3E__TIMESTEPS__%3C%2Finterval%3E%0A++++++%3C%2Ftime%3E%0A++++++%3Cfileformat+separator%3D%22%5Ct%22+endofrecordmarker%3D%22%5Cn%22+datetimeformat%3D%22YYYY%2FMM%2FDD+HH%3Amm%3Ass%22+decimalsymbol%3D%22.%22+headerrow%3D%22true%22+fillvalue%3D%22false%22%2F%3E%0A++++++%3Cchannellist+errorvaluenumeric%3D%22+%22+errorvaluealphanumeric%3D%22+%22+includeinvalidvalues%3D%22false%22+skipinvalidlines%3D%22false%22+fittoformat%3D%22false%22%3E%0A+++++++++%3Cchannel+fieldwidth%3D%2210%22+samples%3D%22false%22+spot%3D%22true%22+valuevalidity%3D%22false%22+precision%3D%226%22+min%3D%22false%22+max%3D%22false%22+mean%3D%22false%22+variance%3D%22false%22+stddev%3D%22false%22+meanvalidity%3D%22false%22+angle%3D%22none%22%3E__LATFIELD__%3C%2Fchannel%3E%0A+++++++++%3Cchannel+fieldwidth%3D%2210%22+samples%3D%22false%22+spot%3D%22true%22+valuevalidity%3D%22false%22+format%3D%221.23%22+precision%3D%226%22+min%3D%22false%22+max%3D%22false%22+mean%3D%22false%22+variance%3D%22false%22+stddev%3D%22false%22+meanvalidity%3D%22false%22+angle%3D%22none%22%3E__LONFIELD__%3C%2Fchannel%3E%0A++++++%3C%2Fchannellist%3E%0A+++%3C%2Fdescription%3E%0A%3C%2Fexport%3E%0A"
